Subject: Re: Cygwin & BitKeeper...
From: Robert Collins <[email-masked]>
To: "Thomas V. Fischer" <[email-masked]>
Cc: [email-masked]
Date: 01 Apr 2003 17:55:56 +1000

On Tue, 2003-04-01 at 16:10, Thomas V. Fischer wrote:
> I want to install Bitkeeper on my machine that is already running Cygwin
> (latest build). However and contrary to the bitkeeper FAQ, it doesn't detect
> my existing installation and doesn't want to recognize it.
> 
> If i don't install, the Bitkeeper runs into an endless loop saying it is
> missing Cygwin. If i try to install it, it screws up my existing
> installation.
> 
> Does anyone have any suggestions on how to get around this?

Grab the bitkeeper installer source, and fix the install routine.

Oh, they don't give you the source? (Well, google won't find it for me).

Go hassle bitkeeper.

FWIW, the doco on their web site *suggests* that they include cygwin's
setup.exe, and if they do, then they MUST give you the full source to
that executable, as it is GPL'd.

Rob
-- 
GPG key available at: <http://users.bigpond.net.au/robertc/keys.txt>.